## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::ScanlineComp Struct Reference

Undivided buffer values. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes

csFixed16 | c
| "Direct" component
csFixed16 | dcdx
| "Direct" component delta

## Detailed Description

Undivided buffer values.

Definition at line 139 of file types.h.

## Member Data Documentation

csFixed16 CrystalSpace::SoftShader::ScanlineComp::c

| "Direct" component Definition at line 142 of file types.h.

csFixed16 CrystalSpace::SoftShader::ScanlineComp::dcdx

| "Direct" component delta Definition at line 144 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h